From: Victor Fusco <victor@cetuc.puc-rio.br>
Subject: [KJ] [PATCH 2.6.13-rc1 17/17] bluetooth.h: fix sparse warnings (__nocast type)

Fix the sparse warning "implicit cast to nocast type"

File/Subsystem: include/net/bluetooth/bluetooth.h

Signed-off-by: Victor Fusco <victor@cetuc.puc-rio.br>

---
 bluetooth.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

Index: quilt/include/net/bluetooth/bluetooth.h
===================================================================
--- quilt.orig/include/net/bluetooth/bluetooth.h
+++ quilt/include/net/bluetooth/bluetooth.h
@@ -141,7 +141,8 @@ struct bt_skb_cb {
 };
 #define bt_cb(skb) ((struct bt_skb_cb *)(skb->cb)) 
 
-static inline struct sk_buff *bt_skb_alloc(unsigned int len, int how)
+static inline struct sk_buff *bt_skb_alloc(unsigned int len,
+                                           unsigned int __nocast how)
 {
 	struct sk_buff *skb;
 
